Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class JDBCControlPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ControlPlugin
              org.hyperic.hq.product.JDBCControlPlugin

    public abstract class JDBCControlPlugin

extends ControlPlugin

Field Summary
`protected String` | `index`
`protected String` | `password`
`protected String` | `table`
`protected String` | `url`
`protected String` | `user`

Fields inherited from class org.hyperic.hq.product.ControlPlugin
`DEFAULT_TIMEOUT, manager, PROP_TIMEOUT, RESULT_FAILURE, RESULT_SUCCESS, STATE_RESTARTING, STATE_STARTED, STATE_STARTING, STATE_STOPPED, STATE_STOPPING, STATE_UNKNOWN`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`JDBCControlPlugin()`

Method Summary
`void` | `configure(org.hyperic.util.config.ConfigResponse config)`
`abstract void` | `doAction(String action)`
`void` | `doAction(String action, String[] args)` Invokes plugin method with the name of param action.
`void` | `execute(String query)`
`void` | `executeQuery(String query)`
`protected abstract Connection` | `getConnection(String url, String user, String password)` The plugin must preform the DriverManager.getConnection so its ClassLoader is used to find the driver.
`protected abstract Class` | `getDriver()` The plugin must preform the Class.forName so its ClassLoader is used to find the driver.
`boolean` | `isRunning()`

Methods inherited from class org.hyperic.hq.product.ControlPlugin
`detectState, doAction, doAction, getActions, getConfigSchema, getManager, getMessage, getResult, getTimeout, getTimeoutMillis, init, setExceptionMessage, setManager, setMessage, setResult, setTimeout, setTimeout, waitForState`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    protected String url

### user

    protected String user

### password

    protected String password

### table

    protected String table

### index

    protected String index

Constructor Detail

### JDBCControlPlugin

    public JDBCControlPlugin()

Method Detail

### configure

    public void configure(org.hyperic.util.config.ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `GenericPlugin`
  Throws:
    `PluginException`

### isRunning

    public boolean isRunning()

  Overrides:
    `isRunning` in class `ControlPlugin`

### getDriver

    protected abstract Class getDriver()
                                throws ClassNotFoundException

  The plugin must preform the Class.forName so its ClassLoader is used to find the driver.

  Throws:
    `ClassNotFoundException`

### doAction

    public void doAction(String action,
                         String[] args)
                  throws PluginException

  Description copied from class: `ControlPlugin`
  Invokes plugin method with the name of param action.

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

### getConnection

    protected abstract Connection getConnection(String url,
                                                String user,
                                                String password)
                                         throws SQLException

  The plugin must preform the DriverManager.getConnection so its ClassLoader is used to find the driver.

  Throws:
    `SQLException`

### doAction

    public abstract void doAction(String action)
                           throws PluginException

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

### execute

    public void execute(String query)
                 throws PluginException

  Throws:
    `PluginException`

### executeQuery

    public void executeQuery(String query)
                      throws PluginException

  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.